define([
    'knockout',
    'arches',
    'templates/views/components/plugins/patrimonio-material.htm'
], function(ko, arches, PatrimonioMaterialTemplate) {

    var PatrimonioMaterial = function(params) {
        this.workflows = params.workflows.map(function(wf){
            wf.url = arches.urls.plugin(wf.slug);
            return wf;
        }, this);
    };

    return ko.components.register('patrimonio-material', {
        viewModel: PatrimonioMaterial,
        template: PatrimonioMaterialTemplate
    });
});